Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3053 - md5sum --check=file option parsing broken
Summary: md5sum --check=file option parsing broken
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: textutils
Version: 6.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-25 23:03 UTC by dharris
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-07-28 07:48:37 UTC


Attachments (Terms of Use)

Description dharris 1999-05-25 23:03:21 UTC
The md5sum manpage shows a command line option using the
following syntax "-c, --check=file". Problem is that the
implementation does not accept --check=file syntax, but
only "-c file" and "--check file".

Could be either an error with the manpage or the
implementation... the "me5sum --help is ambiguous... and
I'm not up on my getopt standards.

Evidence:

[root@hobbes tempdo_records]# md5sum list > hash
[root@hobbes tempdo_records]#
[root@hobbes tempdo_records]# md5sum --check=hash
md5sum: option `--check' doesn't allow an argument
Try `md5sum --help' for more information.
[root@hobbes tempdo_records]# md5sum --check hash
list: OK
[root@hobbes tempdo_records]# md5sum -c hash
list: OK
[root@hobbes tempdo_records]#

Comment 1 David Lawrence 1999-05-25 23:21:59 UTC
The man page is definitely different than the usage spit out the
md5sum --help command.

Comment 2 Cristian Gafton 1999-07-28 07:48:59 UTC
This is the output from md5sum --help on a RH 6.0 system. Looks clean
to me.

md5sum --help
Usage: md5sum [OPTION] [FILE]...
  or:  md5sum [OPTION] --check [FILE]
Print or check MD5 checksums.
With no FILE, or when FILE is -, read standard input.

  -b, --binary            read files in binary mode
  -c, --check             check MD5 sums against given list
  -t, --text              read files in text mode (default)

The following two options are useful only when verifying checksums:
      --status            don't output anything, status code shows
success
  -w, --warn              warn about improperly formated MD5 checksum
lines

      --help              display this help and exit
      --version           output version information and exit


Note You need to log in before you can comment on or make changes to this bug.